PDA

View Full Version : Forceware 66.94 WinMe breaks Myst IV


TableTop
12-10-04, 12:49 PM
eVGA has a 66.94 Win ME driver. My Geforce4 Ti 4800 won't run Myst IV - Revelation using it. The opening videos stutter and/or lock and the game menu is corrupted beyond use, if it appears at all. Worked fine with 61.76 and 56.64

Devourer
12-10-04, 01:21 PM
So roll back. Your card is getting pretty dated to be messing with new drivers. The new drivers most likely will not have any benefits for any of the cards older then FX line. So really no reason to update.

TableTop
12-10-04, 01:37 PM
Rolling back and forth has become my only option. 61.76 breaks realMyst (66.94 works), but The Moment of Silence needs at least 61.76 to work. Currently, I move back and forth between 61.76 and 56.64.

saturnotaku
12-10-04, 05:25 PM
Here's an idea that's just crazy enough to possibly work - don't use Winblows Moron Edition. If you must use something 9x based, used 98Lite. If not, move on to XP.

racingx
12-10-04, 05:35 PM
Here's an idea that's just crazy enough to possibly work - don't use Winblows Moron Edition. If you must use something 9x based, used 98Lite. If not, move on to XP.

I dont think that is the point! If a "unified" driver has a bug even with older cards or OS's then I think Nvidia should fix it. :ass:

mobilenvidia
12-10-04, 09:55 PM
A less costly thing to try is 66.42 (also for Win 9x).
I have this version uploaded on my server with modded INFs for Laptops.

TableTop
12-11-04, 04:17 PM
Thank you mobilenvidia for the suggestion. Nice site.

I tried 66.42 and had the same problems I had with Myst IV and 66.94. I guess I will just wait for a game patch or a new driver. RealMyst is too old for a patch to be likely and Ubisoft is unlikely to patch Myst IV unless a more general release WinME driver also breaks the game.

metalloid
01-10-05, 10:44 PM
Hi TableTop :)

Someone stated in another 66.94 thread that NVidia may release a fixed win9x version in a few weeks. All we can do for now is sit and wait... :mad:

Regards
--
Metalloid

Thank you mobilenvidia for the suggestion. Nice site.

I tried 66.42 and had the same problems I had with Myst IV and 66.94. I guess I will just wait for a game patch or a new driver. RealMyst is too old for a patch to be likely and Ubisoft is unlikely to patch Myst IV unless a more general release WinME driver also breaks the game.

TableTop
01-11-05, 09:22 AM
I have solved my problem by replacing the GeForce 6600 GT (that is currently unsupported in Win ME by nVIDIA) with a Radeon X800 Pro. The Catalyst Win ME drivers work very well. Overkill, but my time and frustration have a price (a price that does not include the time of rebuilding my system around XP).

carkis
01-11-05, 02:52 PM
I have solved my problem by replacing the GeForce 6600 GT (that is currently unsupported in Win ME by nVIDIA) with a Radeon X800 Pro. The Catalyst Win ME drivers work very well. Overkill, but my time and frustration have a price (a price that does not include the time of rebuilding my system around XP).

Perhaps, but a new video card is much more costly than upgrading to XP. I personally have had way too many issues with WinME vs Win98 or XP to believe the problem doesn't lie within the OS.